#ifndef DEVICE_WIFI_MANAGER_H__
#define DEVICE_WIFI_MANAGER_H__

#include "common.h"

//发送已经保存的WiFi给上层
void device_send_saved_wifi();

//删除wifi
void device_wifi_rec_delete(cJSON *body);

//接收到保存wifi消息
void device_wifi_rec_sava(cJSON *body);

/* 保存 WiFi 配置（含满 10 个自动删最旧逻辑），不立即连接 */
int orange_pi_save_wifi(const char *ssid, const char *password);

/* 保存并立即连接 WiFi（含满 10 个自动删最旧逻辑） */
int orange_pi_connect_wifi(const char *ssid, const char *password);

#endif